LFR-FSW - Bug #3948

FSW <= 3.3.0.7 : fluctuation de I'amplitude des ASM avec signal stationnaire
04/04/2022 10:23 AM - bruno katra

Status: Closed Start date: 04/04/2022
Priority: High Due date:

Assignee: thomas chust % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 3.3 Spent time: 0.00 hour
revision: ro

Description

Avec 3.3.0.7 matrices par défaut : on injecte la méme fréquence sur B1, B2, B3, E1 et E2 :
I'amplitude ASM des termes diagonaux change a chaque ASM, on la voit osciller sur le GSE, voir vidéos et commentaires dans
#3936.

Related issues:

Related to Bug #3936: Comparaison/validation FSW 3.2.0.24 vs 3.3.0.7 avec mat... In Progress  15/03/2022
Related to Task #3945: Tester la 3.3.0.7 avec EQM Closed 01/04/2022
History

#1 - 04/04/2022 10:31 AM - bruno katra
- Status changed from New to In Progress
- Assignee set to Alexis Jeandet

- Priority changed from Normal to High

J'ai refait des tests manuels ce matin, voici des précisions et de nouvelles observations :
La fluctuation d'amplitude se produit UNIQUEMENT lorsque I'on injecte du signal sur B3 en plus de B1 ou B2, observations pour FO :

test case 01 : signal sur B1 uniquement : PAS DE FLUCTUATION ASM
test case 02 : signal sur B2 uniquement : PAS DE FLUCTUATION ASM
test case 03 : signal sur B3 uniquement : PAS DE FLUCTUATION ASM
test case 04 : signal sur B1 + B3 : FLUCTUATION ASM B1, B2 et B3
test case 05 : signal sur B2 + B3 : FLUCTUATION ASM B1, B2 et B3
test case 06 : signal sur B1 + B2 : PAS DE FLUCTUATION ASM

#2 - 04/04/2022 10:37 AM - bruno katra

Je confirme aussi que les fluctuations ne se voient plus losque I'on injecte des fréquences de l'intervalle du bug des termes non-diag a 0 (#3936).
Par exemple pour FO :
on voir les fluctuations pour une fréquence injectée de 1632 Hz ou 1728 Hz MAIS pas pour 5826 Hz.

#3 - 04/04/2022 10:37 AM - bruno katra
- Related to Bug #3936: Comparaison/validation FSW 3.2.0.24 vs 3.3.0.7 avec matrices unitaires. added

#4 - 04/04/2022 12:26 PM - bruno katra
- Related to Task #3945: Tester la 3.3.0.7 avec EQM added

#5 - 04/04/2022 03:31 PM - bruno katra
Sweep @FO relancé avec signal uniquement sur B1, B2, E1 et E2 (PAS de B3) :

Premiére observation de visu : comme évoqué ici : https:/hephaistos.lpp.polytechnique.fr/redmine/issues/3948#note-1 , pour une méme fréquence
injectée les ASM ne fluctuent pas. Par contre :

- je viens de remarquer que I'amplitude ASM change lorsque I'on passe a la fréquence suivante du sweep (pour B1, B2, E1 et E2)

- le changement de I'amplitude suit le méme motif que lorsqu'il y a B3 : oscillation, I'amplitude diminue petit a petit puis remonte petit a petit.

Donc nouvelle observation : si PAS de B3 la fluctuation de I'amplitude ASM ne se voit plus au sein d'une méme fréquence injectée mais lorsque I'on
change de fréquence.

#6 - 04/04/2022 05:08 PM - bruno katra
bruno katra wrote in #note-5:

Sweep @FO relancé avec signal uniquement sur B1, B2, E1 et E2 (PAS de B3) :

Premiére observation de visu : comme évoqué ici : https://hephaistos.lpp.polytechnique.fr/redmine/issues/3948#note-1 , pour une méme
fréquence injectée les ASM ne fluctuent pas. Par contre :

- je viens de remarquer que I'amplitude ASM change lorsque I'on passe a la fréquence suivante du sweep (pour B1, B2, E1 et E2)

- le changement de I'amplitude suit le méme motif que lorsqu'il y a B3 : oscillation, I'amplitude diminue petit & petit puis remonte petit a petit.

Donc nouvelle observation : si PAS de B3 la fluctuation de I'amplitude ASM ne se voit plus au sein d'une méme fréquence injectée mais lorsque
I'on change de fréquence.

Vu avec Thomas : ce phénomeéne est normal car avec les matrices par défaut il y a bien une dépendance en fréquence de I'amplitude. ++

#7 - 04/04/2022 05:09 PM - bruno katra
Sweep @FO0 avec uniqguement signaux sur B1, B2, E1 et E2 (PAS DE B3), les résultats sont ici :

https://ao.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.7/CTC-900b&fileid=2517317

#8 - 05/04/2022 11:27 AM - thomas chust

bruno katra wrote in #note-7:

Sweep @FO0 avec uniqguement signaux sur B1, B2, E1 et E2 (PAS DE B3), les résultats sont ici :

https://ac.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.7/CTC-900b&fileid=2517317

Pas facile de se faire un avis exhaustif. En tout cas en premiére apparence, pour les premiéeres fréquences j'observe:

- les 9 ASM (par fichier) ont les modules (abs) de leurs composantes identiques mais avec des phases (arg) différentes pour les termes non
diagonaux !

- pour I'ASM d'indice 3 (la quatrieme) je retrouve a peu prés la méme chose a partir du SWF (calcul d'une matrice spectrale que je calibre avec les
mémes kcoeff)

Pour les fréquences de la bande maudite (entre 5000 Hz et 7000 Hz environ) je retrouve bien les termes non diagonaux & 0 mais seulement pour les
composantes croisées B-E:

B1E1

B1E2

B2E1

B2E2

B3E1

B3E2

et pour les autres termes je ne retrouve pas ce qu'il faut a partir des SWF.

Pour les fréquences en fin de bande je retrouve ce qu'il faut a partir des SWF pour les composantes magnétiques et électriques mais pas pour les
composantes croisées B-E

#9 - 15/06/2022 09:22 AM - bruno katra
Test rapide de controle fait avec la 3.3.0.8 avec matrices par défaut + injection sur B1+B3 de signaux : les oscillations sont toujours présentes avec le
méme comportement que décrit dans :

https://hephaistos.lpp.polytechnique.fr/redmine/issues/3948#note-1
https://hephaistos.lpp.polytechnique.fr/redmine/issues/3948#note-2

Dans la mesure ou on ne sait pas si ce bug est lié a celui des non-diagonaux a 0.0, je vais quand méme lancer un test de sweep comme
précédemment pour analyse par Thomas.

#10 - 15/06/2022 05:09 PM - bruno katra

J'ai quand méme rejoué un CTC-900 en 3.3.0.8 avec KCOEFF par défaut : sweep @FO.
Thomas : a toi de voir si tu penses que ¢a vaut la peine quand méme de I'analyser malgré les résultats de ce matin, peut-étre ne serait-ce que pour
voir si les modifs faites par alexis VS 3.3.0.7 changent le comportement quelque part ?

C'estici :
https://ao.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.8/CTC-9004&fileid=2595860

#11 - 20/06/2022 12:36 PM - thomas chust
- File ctc-900 2022 06_15_10_19 18 packet _record NORMAL_ASM.png added

bruno katra wrote in #note-10:
J'ai quand méme rejoué un CTC-900 en 3.3.0.8 avec KCOEFF par défaut : sweep @FO.
Thomas : a toi de voir si tu penses que ¢a vaut la peine quand méme de I'analyser malgré les résultats de ce matin, peut-étre ne serait-ce que
pour voir si les modifs faites par alexis VS 3.3.0.7 changent le comportement quelque part ?

C'estici :
https://ao.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.8/CTC-900&fileid=2595860

Ce point devrait se situer la: Bug #3936

Et mes conclusions sont identiques a celles que nous y tenions: J'observe que les termes non-diagonaux (de la 32+5éme a la 32+24éme fréquence
incluse) sont a 0 mais que pour

B1E1

B1E2

B2E1

B2E2

B3E1

B3E2

Im(E1E2)

C'est a dire les termes ou E intervient (excepté Re(E1E2)). Voir le plot attaché qui "résume” cela.

#12 - 30/06/2022 03:15 PM - bruno katra

- Assignee changed from Alexis Jeandet to thomas chust

Aprés discussions entre ALexis et Thomas : la variation de I'amplitude serait un effet de la rotation des matrices de passages couplés au déphasage
entre les signaux émis sur E1...B3 (3 cartes différentes + triggers séquentiels sur chaque sortie qui font que les cartes ne démarrent pas en méme
temps).

Nouveau setup pour tester : split x5 d'une seule sortie d'un discovery pour injecter le méme signal en // sur toutes les voies :
1er test manuel avec une fréquence de FO : on ne voit plus l'oscillation.

Un test CTC-900c qui fait un sweep @FO avec ce nouveau setup est en cours.

#13 - 30/06/2022 04:44 PM - bruno katra

CTC-900c (SWEEP @F0 avec KCOEFF par défaut avec le méme signal issu d'une sortie discovery splitté sur les 5 entrées LFR, 2V sur toutes les
entrées ), résultats ici

https://ac.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.9&fileid=2605950

#14 - 30/06/2022 06:50 PM - thomas chust
- File iasm8.png added
- File iasm3.png added
- File iasm0.png added

bruno katra wrote in #note-13:

CTC-900c (SWEEP @F0 avec KCOEFF par défaut avec le méme signal issu d'une sortie discovery splitté sur les 5 entrées LFR, 2V sur toutes
les entrées ), résultats ici

https://ao.lpp.polytechnigue.fr/index.php/apps/files/?dir=/LFR/3.3.0.9&fileid=2605950

Je confirme les signaux injectés sont bien stationnaires. Les 9 ASM par fichier (fréquence) sont tous quasi identiques. La calibration du SWF par
fichier permet de retrouver a moins de 1% pres les valeurs de toutes les composantes des ASM (voir les fichiers joints montrant la courbe des
maximum de différence relative pour I'ensemble des composantes observés selon la fréquence; il y a trois fichiers pour trois exemple de ASM, le
résultat ne dépend plus de I'ASM que I'on choisit)

#15 - 02/09/2022 03:35 PM - bruno katra

- Status changed from In Progress to Resolved

#16 - 06/10/2022 11:11 AM - bruno katra

- Status changed from Resolved to Closed

L'oscillation est due au déphasage des signaux injectés entre les différentes analog discovery.

Files
